Subject: bug#22789: 25.1.50; In last master build https connections stop working

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Feb 2016 10:10:57 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 27 Feb 2016 14:19:08 +1030
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > So deferring setting g->gnutls_p is not a good idea.  I'll try to debug
> > this further, but may not have time today...
> 
> Hey!  Time!
> 
> The following patch should make the rest of Emacs leave the TLS socket
> alone until we've done the handshake, I think.  It works for me under
> Linux (and makes the negotiation blocking).  Could you test this under
> Windows?

I'm afraid it doesn't help.  The connection still doesn't happen.

Thanks.